From d32640d7500714e755b1b2caeeae06e8a565ce8c Mon Sep 17 00:00:00 2001
From: Jelte Fennema-Nio <jelte.fennema@microsoft.com>
Date: Mon, 8 Apr 2024 13:27:35 +0200
Subject: [PATCH v9 2/3] Expand comment of internal_flush_buffer

It didn't explain that start and end would be updated, which seems
fairly important.
---
 src/backend/libpq/pqcomm.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/backend/libpq/pqcomm.c b/src/backend/libpq/pqcomm.c
index af43eef2eee..a3e80281196 100644
--- a/src/backend/libpq/pqcomm.c
+++ b/src/backend/libpq/pqcomm.c
@@ -1351,6 +1351,9 @@ internal_flush(void)
 /* --------------------------------
  *		internal_flush_buffer - flush the given buffer content
  *
+ * Updates start and end to reflect the portion of the buffer that still
+ * needs to be sent.
+ *
  * Returns 0 if OK (meaning everything was sent, or operation would block
  * and the socket is in non-blocking mode), or EOF if trouble.
  * --------------------------------
-- 
2.34.1

